Table of Contents

## Name

cooc, cooc_features - calculate the co-occurrence matrix and features on it

## Synopsis

cooc image matrix xpos ypos xsize ysize dx dy flag

cooc_features matrix

## Description

cooc creates a 256 by 256 one channel co-occurrence matrix of the box determined by the parameters (xp, yp; xs, ys) within the image file. The matrix is written onto the Vasari image file matrix. The displacement vector is determined by (dx, dy). The user must ensure that there is enough border pixels around the box within im dictated by the displacement vector (dx,dy) or else the program fails. All entries of the co-occurrence matrix are double normalised to the number of pairs involved. This function is a direct implementation of the paper: Haralick R. M., Shanmugan K. and Dinstein I., 'Textural features for image classification', IEEE Transactions on Systems, Man, and Cybernetics, Vol. SMC-3, No 6, Nov. 1973, pp 610-621.

If flag sym is 1, the created co-occurrence matrix is symmetric that is dispacement vectors (dx, dy), (-dx, -dy) create exactly the same matrix. If sym is 0, the created co-occurrence matrix is not symmetric that is dispacement vectors (dx, dy), (-dx, -dy) create different matrices.

Input image should be one band unsigned char image.

cooc_features calculates and prints at the standard error output features of the cooccurrence matrix matrix.

## See Also

im_glds_matrix(3X) , im_cooc_asm(3X) , im_cooc_contrast(3X) , im_cooc_correlation(3X) , im_cooc_entropy(3X)

## Copyright

N. Dessipris

## Author

N. Dessipris - 27/2/1992

Table of Contents

- Name
- Synopsis
- Description
- SeeAlso
- Copyright
- Author